Bug 1879334 - CVE-2020-8251 nodejs:14/nodejs: Denial of Service by resource exhaustion CWE-400 due to unfinished HTTP/1.1 requests [fedora-all]
Summary: CVE-2020-8251 nodejs:14/nodejs: Denial of Service by resource exhaustion CWE-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 32
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-8251
TreeView+ depends on / blocked
 
Reported: 2020-09-16 02:59 UTC by Doran Moppert
Modified: 2020-12-13 02:23 UTC (History)
6 users (show)

Fixed In Version: nodejs-14.15.1-1.fc33 nodejs-14-3220201203015508.43bbeeef nodejs-14-3320201203015508.601d93de
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-13 02:08:49 UTC
Type: ---


Attachments (Terms of Use)

Description Doran Moppert 2020-09-16 02:59:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Doran Moppert 2020-09-16 02:59:07 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1879314,1879334

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-12-03 16:22:40 UTC
FEDORA-MODULAR-2020-70d98849b8 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-70d98849b8

Comment 3 Fedora Update System 2020-12-03 16:23:08 UTC
FEDORA-MODULAR-2020-5913a0852f has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-5913a0852f

Comment 4 Fedora Update System 2020-12-03 16:23:34 UTC
FEDORA-2020-43d5a372fc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-43d5a372fc

Comment 5 Fedora Update System 2020-12-05 01:58:32 UTC
FEDORA-2020-43d5a372fc has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-43d5a372fc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-43d5a372fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-12-05 02:15:18 UTC
FEDORA-MODULAR-2020-70d98849b8 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-70d98849b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-12-05 02:15:45 UTC
FEDORA-MODULAR-2020-5913a0852f has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-5913a0852f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-13 02:08:49 UTC
FEDORA-2020-43d5a372fc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-12-13 02:20:06 UTC
FEDORA-MODULAR-2020-70d98849b8 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-12-13 02:23:58 UTC
FEDORA-MODULAR-2020-5913a0852f has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.